Summary:        Bitronix Transaction Manager
Name:           btm
Version:        2.1.2
Release:        12%{?dist}
Epoch:          0
License:        LGPLv3
URL:            http://bitronix.be
Source0:        http://bitronix.be/downloads/btm-dist-2.1.2.zip
Source1:        http://repo1.maven.org/maven2/org/codehaus/btm/btm-parent/2.1.2/btm-parent-2.1.2.pom
Source2:        http://repo1.maven.org/maven2/org/codehaus/btm/btm/2.1.2/btm-2.1.2.pom
Patch0:         %{name}-use-shared-jars.patch
Patch1:         btm-jdbc4.1.patch

BuildRequires:  ant >= 0:1.6
BuildRequires:  geronimo-jta
BuildRequires:  java-devel
BuildRequires:  javapackages-local
BuildRequires:  xml-commons-apis
#BuildRequires:  mvn(javax.transaction:jta)
BuildRequires:  mvn(org.apache.geronimo.specs:geronimo-jms_1.1_spec)
BuildRequires:  mvn(org.codehaus:codehaus-parent:pom:)
BuildRequires:  mvn(org.slf4j:slf4j-api)

# Turn this on to make "ant test" work
# BuildRequires:  mockito
Requires:       junit
Requires:       xml-commons-apis
Requires:       java >= 1:1.6.0
Requires:       geronimo-jms
Requires:       geronimo-jta

BuildArch:      noarch

%description
The Bitronix Transaction Manager (BTM) is a simple but complete
implementation of the JTA 1.1 API. It is a fully working XA transaction
manager that provides all services required by the JTA API while trying 
to keep the code as simple as possible for easier understanding of the 
XA semantics.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-dist-%{version}
# remove all binary libs
find -name '*.jar' -exec rm -f '{}' \;


%patch0 -p1
%patch1 -p1

%mvn_file org.codehaus.%{name}:%{name} %{name}

%build

ant build

%install
%mvn_artifact %{SOURCE1}
%mvn_artifact %{SOURCE2} dist/%{name}-%{version}.jar
%mvn_install -J doc/api

%files -f .mfiles
%doc release-notes-%{version}.txt
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0:2.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0:2.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0:2.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 21 2016 gil cattaneo <puntogil@libero.it> 0:2.1.2-9
- add missing build requires
- adapt to current guideline

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0:2.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 0:2.1.2-6
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Andy Grimm <agrimm@gmail.com> - 0:2.1.2-1
- Update to 2.1.2

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0:2.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Sep 07 2011 Andy Grimm <agrimm@gmail.com> - 0:2.1.1-3
- Fixes for package review

* Thu Sep 01 2011 Andy Grimm <agrimm@gmail.com> - 0:2.1.1-2
- Follow new packaging guidelines better

* Fri Aug 19 2011 Andy Grimm <agrimm@gmail.com> - 0:2.1.1-1
- Initial build

